Create new organization
POST
/system/orgs
const url = 'https://example.com/api/v1/system/orgs';const options = { method: 'POST', headers: { cookie: 'grommunioAuthJwt=<grommunioAuthJwt>', 'Content-Type': 'application/json' }, body: '{"name":"example","description":"example","domains":[1]}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/api/v1/system/orgs \ --header 'Content-Type: application/json' \ --cookie grommunioAuthJwt=<grommunioAuthJwt> \ --data '{ "name": "example", "description": "example", "domains": [ 1 ] }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Header Parameters
Section titled “Header Parameters”X-Csrf-Token
string
CSRF Token
Request Body
Section titled “Request Body”Media typeapplication/json
object
name
string
description
string
domains
List of domain IDs belonging to the organization
Array<integer>
Examplegenerated
{ "name": "example", "description": "example", "domains": [ 1 ]}Responses
Section titled “Responses”Organization created
Media typeapplication/json
object
ID
Unique ID of the object
integer
name
string
description
string
domainCount
Number of domains in this organization
integer
domains
List of domains belonging to the organization
Array<object>
object
ID
Unique ID of the object
integer
domainname
string
displayname
string
Examplegenerated
{ "name": "example", "description": "example", "domainCount": 1, "domains": [ { "domainname": "example", "displayname": "example" } ]}Validation of input parameters failed
Media typeapplication/json
object
message
string
errors
List of errors encountered during validation
Array<string>
Examplegenerated
{ "message": "example", "errors": [ "example" ]}An error occurred while processing the request
Media typeapplication/json
object
message
String representation of the exception
string
Examplegenerated
{ "message": "example"}The database query failed
Media typeapplication/json
object
message
Description of the error
string
Examplegenerated
{ "message": "example"}